#ifndef FAST_POWER_2_INCLUDED
#define FAST_POWER_2_INCLUDED

#include "montgomery.h"


class FAST_POW_MOD_2
{
u32 len;
MONPRO *monpro;
u32 *tmp0;
u32 *tmp1;
u32 *tmp2;
u32 *tmp3;
u32 *precalculated_x[256];    


public:
    FAST_POW_MOD_2(u32 length_x32); // length must be higher then 8 x 32 bit words
    ~FAST_POW_MOD_2();
    void fast_pow_mod_2(u32 *result, u32 const* x, u32 const* p);
    
};



#endif

