#ifndef LOG_H_INCLUDED
#define LOG_H_INCLUDED
//-----------------------------------------------------------------------
#include <windows.h>
#include "kademlia.h"
//-----------------------------------------------------------------------
extern HWND g_logWnd;
//-----------------------------------------------------------------------
INT_PTR CALLBACK LogProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

void LogMessage(LPTSTR module, LPTSTR message);
void LogLowLevel(bool tx, u32 ip, u16 port, const u32* id, u32 type, u32 size);
void LogLowLevelEnc(bool tx, const u8* data);
void LogString(LPCTSTR msg);
void LogNode(const NODE* nd);
//-----------------------------------------------------------------------
#endif //LOG_H_INCLUDED
